---
title: list-ai-gateway-budgets
product: vercel
url: /docs/rest-api/sdk/ai-gateway/list-ai-gateway-budgets
canonical_url: "https://vercel.com/docs/rest-api/sdk/ai-gateway/list-ai-gateway-budgets"
last_updated: 2026-10-05
type: reference
prerequisites:
  []
related:
  - /docs/rest-api
summary: Learn about list-ai-gateway-budgets on Vercel.
install_vercel_plugin: npx plugins add vercel/vercel-plugin
---

# List AI Gateway budgets

```http
GET /ai-gateway/budgets/list
```

List the team's AI Gateway budgets (team/project/user scopes, plus default-covered api-key spend) as a flat list, optionally filtered by scope.

## Authentication

**bearerToken**: HTTP bearer

## Query parameters

| Name | Type | Required | Description |
|---|---|---|---|
| `scopeType` | string. enum: team, project, user, api-key | No | Restrict the list to a single budget scope. |
| `teamId` | string | No | The Team identifier to perform the request on behalf of. |
| `slug` | string | No | The Team slug to perform the request on behalf of. |


## Example request

```typescript
import { Vercel } from "@vercel/sdk";

const vercel = new Vercel({
  bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});

async function run() {
  const result = await vercel.aiGateway.listAiGatewayBudgets({
    teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
    slug: "my-team-url-slug",
  });

  console.log(result);
}

run();
```

## Example response

```json
{
  "budgets": [
    {
      "active": "false",
      "alertThresholds": [],
      "archived": "false",
      "createdAt": "123",
      "currentByokSpend": "123",
      "currentSpend": "123",
      "includeByokInQuota": "false",
      "limitAmount": "123",
      "name": "Example Name",
      "quotaEntityId": "example_id",
      "refreshPeriod": "daily",
      "scopeId": "example_id",
      "scopeType": "api-key",
      "source": "default",
      "updatedAt": "123"
    }
  ]
}
```

## Responses

### 200: No description

Content-Type: `application/json`

```json
{
  "type": "object",
  "required": [
    "budgets"
  ],
  "properties": {
    "budgets": {
      "type": "array",
      "items": {
        "type": "object",
        "required": [
          "active",
          "archived",
          "createdAt",
          "currentByokSpend",
          "currentSpend",
          "includeByokInQuota",
          "limitAmount",
          "quotaEntityId",
          "refreshPeriod",
          "scopeId",
          "scopeType",
          "updatedAt"
        ],
        "properties": {
          "active": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "alertThresholds": {
            "type": "array"
          },
          "archived": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "createdAt": {
            "type": "number"
          },
          "currentByokSpend": {
            "type": "number"
          },
          "currentSpend": {
            "type": "number"
          },
          "includeByokInQuota": {
            "type": "boolean",
            "enum": [
              false,
              true
            ]
          },
          "limitAmount": {
            "type": "number"
          },
          "name": {
            "type": "string"
          },
          "quotaEntityId": {
            "type": "string"
          },
          "refreshPeriod": {
            "type": "string",
            "enum": [
              "daily",
              "monthly",
              "none",
              "weekly"
            ]
          },
          "scopeId": {
            "type": "string",
            "description": "The native Vercel id of the scoped entity. Team/project ids already carry their prefix, so this equals `quotaEntityId` (`team_…` / `prj_…`); for the api-key scope it is the api key id (the `api_key_id_` prefix stripped)."
          },
          "scopeType": {
            "type": "string",
            "enum": [
              "api-key",
              "project",
              "team",
              "user"
            ]
          },
          "source": {
            "type": "string",
            "description": "Set when the row is inherited from the team's budget default.",
            "enum": [
              "default"
            ]
          },
          "updatedAt": {
            "type": "number"
          }
        }
      }
    }
  }
}
```

### 400: One of the provided values in the request query is invalid.

### 401: The request is not authorized.

### 403: You do not have permission to access this resource.

### 404: No description

### 410: No description

### 500: No description

---

## Related

- [ai-gateway endpoints](/docs/rest-api#ai-gateway)

- [REST API overview](/docs/rest-api)

- [OpenAPI spec](https://vercel.com/openapi.json) (machine-readable, all endpoints)

---

[View full sitemap](/docs/sitemap)
